打印

lnmp1.5安装了php7.2也安装了php5.5,请问使用php7.2还需要安装mysql扩展吗?

lnmp1.5安装了php7.2也安装了php5.5,请问使用php7.2还需要安装mysql扩展吗?

军哥想咨询个问题,
服务器系统:centos6.9 安装了lnmp1.5  同时安装了php7.2和php5.5两个php版本现在的问题是我有个wordpress网站想使用php7.2,据说php7.2不支持mysql链接,请问服务器上安装了php5.5,我还需要再安装mysql扩展吗?原来服务器使用centos7.4  lnmp1.5  php7.2的时候安装个mysql扩展就可以正常使用的,现在的我的疑问是现在的服务器上安装了php5.5,我的理解是不需要安装mysql扩展的,但我想使用php7.2,把网站配置切换到php7.2后网站就不正常了,所以就在想是不是因为使用php7.2没安装mysql扩展的原因,另外如果我安装mysql扩展的话,会不会破坏lnmp原来安装的mysql的稳定性,如果不影响的话我就另外安装一个mysql扩展

[ 本帖最后由 bjwindy 于 2018-11-20 15:59 编辑 ]

TOP

php7+版本已经移除mysql扩展,php7以下版本都还有mysql扩展
mysql扩展到mysqli扩展是大势所趋

实在想装的话可以自己下载 http://git.php.net/?p=pecl/database/mysql.git;a=summary 源码,然后自己按php扩展方法进行安装

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP